using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace hukpiWinApp.Forms
{
    public partial class ReportDetailsAnimalDepotsForm : Form
    {
        public ReportDetailsAnimalDepotsForm()
        {
            InitializeComponent();
        }

        private void buttonOpenReport_Click(object sender, EventArgs e)
        {
            List<decimal> modalitiesList = null;

            if (radioFieldAllVsNothingModalities.RadioButtonSelectedChecked)
            {
                modalitiesList = Utils.getChoosenIdsFromListView(listViewModalities);
            }

            ReportViewerAnimalDepotsForm reportViewer = new ReportViewerAnimalDepotsForm(modalitiesList);
            if (((MainForm)this.MdiParent).openNewMDIChildForm(reportViewer))
            {
                reportViewer.refreshReport();
            }
        }
    }
}
